<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: G4PhotonDetector Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>G4PhotonDetector Class Reference</h1><!-- doxytag: class="G4PhotonDetector" -->
<p>a class generating the materials, volumes, and optical properties needed for a photon detector and allows to access them.  
</p>

<p><a href="classG4PhotonDetector-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a691b84a561c4880b572eca857b901946">G4PhotonDetector</a> (G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool searchOverlaps, <a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *propertyTools, <a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a> *dataStorage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#af581b44e901f328ffc362bd36aa27e05">~G4PhotonDetector</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4LogicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a8852eef237e811f926aa8a7d05daaac1">GetCoating_logicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VPhysicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a6c12e5ff747259e08d0760140782318d">GetCoating_physicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Box *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a12a7a1da9badf7511777ce15613bc112">GetCoating_solidVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#aafa1158798da90e88ce324a0ffffc0b7">GetCoatingDimensions</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4OpticalSurface *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a8b98404d6ee01a4e0da7381925fcbb47">GetCoatingOpticalSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Material *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a30b433429d08a86aba0256ae1fd14c16">GetPhotonDetectorMaterial</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#ab9a60c39bb059a79a10eb9a274b4d8c7">GetPhotonDetectorName</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Transform3D&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#af41e64a151c2c50dbf7beb1d63e9609b">GetPhotonDetectorTransformation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4LogicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a52e81d0f2e6dea6b307c8d78939a79ea">GetSensitiveVolume_logicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VPhysicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a539df81b6de58f6f052406b517c3ad97">GetSensitiveVolume_physicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Box *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a6db29885cc9f889c81444cdc783053ad">GetSensitiveVolume_solidVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#aedad1bde573b631e27e07a29f9a18c78">GetSensitiveVolumeDimensions</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4OpticalSurface *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a595f3621cfd1993fbb48794e0251445e">GetSensitiveVolumeOpticalSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a918b6cb83f1707b12f7d6b8762b9437b">GetSensitiveVolumeRelativeSurfaceNormal</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a171aeb7ed534e8351191437097bbae36">GetSensitiveVolumeRelativeSurfacePosition</a> ()</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#af921f6e533e65912ead02b347ff3f15a">ConstructSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#a4e4217d1391889766e203534d6303915">ConstructVolumes</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4PhotonDetector.html#abe2b73e772f454bfe14d6de13c370d04">DefineMaterials</a> ()</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a691b84a561c4880b572eca857b901946"></a><!-- doxytag: member="G4PhotonDetector::G4PhotonDetector" ref="a691b84a561c4880b572eca857b901946" args="(G4double edge_length, G4VPhysicalVolume *mother_volume, G4String photon_detector_name, G4ThreeVector sensitive_surface_normal_relative_to_reference, G4ThreeVector sensitive_surface_position_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool searchOverlaps, PropertyToolsManager *propertyTools, PhotonDetectorDataStorage *dataStorage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4PhotonDetector::G4PhotonDetector </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>edge_length</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>photon_detector_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_normal_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>sensitive_surface_position_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>reference_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>searchOverlaps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *&nbsp;</td>
          <td class="paramname"> <em>propertyTools</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPhotonDetectorDataStorage.html">PhotonDetectorDataStorage</a> *&nbsp;</td>
          <td class="paramname"> <em>dataStorage</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor to construct a photon detector:</p>
<ul>
<li>sets class variables to default values</li>
<li>sets the variables for the photon detector's placement (considering the transformation of the photon detector relative to the reference volume and the transformation of the reference volume relative to the mother volume)</li>
<li>creates materials (<a class="el" href="classG4PhotonDetector.html#abe2b73e772f454bfe14d6de13c370d04">DefineMaterials()</a>)</li>
<li>constructs the volumes (ConstructScintiVolume()) </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>edge_length</em>&nbsp;</td><td>edge length of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mother_volume</em>&nbsp;</td><td><a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s mother volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>photon_detector_name</em>&nbsp;</td><td>name of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s volume (it will be extended to distinguish between different <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>s and different volumes of one <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>sensitive_surface_normal_relative_to_reference</em>&nbsp;</td><td>surface normal of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area relative to the reference volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>sensitive_surface_position_relative_to_reference</em>&nbsp;</td><td>position of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area relative to the reference volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>reference_volume</em>&nbsp;</td><td>reference volume relative to which the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> will be orientated (if 0, the mother volume is the reference volume) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>searchOverlaps</em>&nbsp;</td><td>Geant should search for overlaps when placing the physical volumes of <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>propertyTools</em>&nbsp;</td><td>pointer to the <a class="el" href="classPropertyToolsManager.html" title="a class making the processing of the properties etc. much easier.">PropertyToolsManager</a> that should be used </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dataStorage</em>&nbsp;</td><td>data storage object (<a class="el" href="classPhotonDetectorDataStorage.html" title="a class to save the data which was taken by the sensitive detector">PhotonDetectorDataStorage</a>) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af581b44e901f328ffc362bd36aa27e05"></a><!-- doxytag: member="G4PhotonDetector::~G4PhotonDetector" ref="af581b44e901f328ffc362bd36aa27e05" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4PhotonDetector::~G4PhotonDetector </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="af921f6e533e65912ead02b347ff3f15a"></a><!-- doxytag: member="G4PhotonDetector::ConstructSurface" ref="af921f6e533e65912ead02b347ff3f15a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4PhotonDetector::ConstructSurface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct surfaces between different volumes and define their mechanical and optical properties (according to the specifications from the property file(s)). <br/>
 The following properties are defined:</p>
<ul>
<li>surface type ("dielectric_metal" or "dielectric_dielectric")</li>
<li>reflectivity (DefineSurfacesProperties()) </li>
</ul>

</div>
</div>
<a class="anchor" id="a4e4217d1391889766e203534d6303915"></a><!-- doxytag: member="G4PhotonDetector::ConstructVolumes" ref="a4e4217d1391889766e203534d6303915" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4PhotonDetector::ConstructVolumes </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct all volumes and surfaces for photon detectors. </p>

</div>
</div>
<a class="anchor" id="abe2b73e772f454bfe14d6de13c370d04"></a><!-- doxytag: member="G4PhotonDetector::DefineMaterials" ref="abe2b73e772f454bfe14d6de13c370d04" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4PhotonDetector::DefineMaterials </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define materials (compounds, alloys) and their properties:</p>
<ul>
<li>creates new materials according to the specifications from the property file(s)</li>
<li>if the same materials already exist, the newly created ones are deleted </li>
</ul>

</div>
</div>
<a class="anchor" id="a8852eef237e811f926aa8a7d05daaac1"></a><!-- doxytag: member="G4PhotonDetector::GetCoating_logicalVolume" ref="a8852eef237e811f926aa8a7d05daaac1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4LogicalVolume* G4PhotonDetector::GetCoating_logicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the logical volume of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s coating </dd></dl>

</div>
</div>
<a class="anchor" id="a6c12e5ff747259e08d0760140782318d"></a><!-- doxytag: member="G4PhotonDetector::GetCoating_physicalVolume" ref="a6c12e5ff747259e08d0760140782318d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VPhysicalVolume* G4PhotonDetector::GetCoating_physicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the physical volume of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s coating </dd></dl>

</div>
</div>
<a class="anchor" id="a12a7a1da9badf7511777ce15613bc112"></a><!-- doxytag: member="G4PhotonDetector::GetCoating_solidVolume" ref="a12a7a1da9badf7511777ce15613bc112" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Box* G4PhotonDetector::GetCoating_solidVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the solid volume of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s coating </dd></dl>

</div>
</div>
<a class="anchor" id="aafa1158798da90e88ce324a0ffffc0b7"></a><!-- doxytag: member="G4PhotonDetector::GetCoatingDimensions" ref="aafa1158798da90e88ce324a0ffffc0b7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector G4PhotonDetector::GetCoatingDimensions </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the dimensions of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s coating </dd></dl>

</div>
</div>
<a class="anchor" id="a8b98404d6ee01a4e0da7381925fcbb47"></a><!-- doxytag: member="G4PhotonDetector::GetCoatingOpticalSurface" ref="a8b98404d6ee01a4e0da7381925fcbb47" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4OpticalSurface* G4PhotonDetector::GetCoatingOpticalSurface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the optical surface of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s coating </dd></dl>

</div>
</div>
<a class="anchor" id="a30b433429d08a86aba0256ae1fd14c16"></a><!-- doxytag: member="G4PhotonDetector::GetPhotonDetectorMaterial" ref="a30b433429d08a86aba0256ae1fd14c16" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Material* G4PhotonDetector::GetPhotonDetectorMaterial </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the material of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s coating </dd></dl>

</div>
</div>
<a class="anchor" id="ab9a60c39bb059a79a10eb9a274b4d8c7"></a><!-- doxytag: member="G4PhotonDetector::GetPhotonDetectorName" ref="ab9a60c39bb059a79a10eb9a274b4d8c7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String G4PhotonDetector::GetPhotonDetectorName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s name </dd></dl>

</div>
</div>
<a class="anchor" id="af41e64a151c2c50dbf7beb1d63e9609b"></a><!-- doxytag: member="G4PhotonDetector::GetPhotonDetectorTransformation" ref="af41e64a151c2c50dbf7beb1d63e9609b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Transform3D G4PhotonDetector::GetPhotonDetectorTransformation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the transformation of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a> inside the mother volume </dd></dl>

</div>
</div>
<a class="anchor" id="a52e81d0f2e6dea6b307c8d78939a79ea"></a><!-- doxytag: member="G4PhotonDetector::GetSensitiveVolume_logicalVolume" ref="a52e81d0f2e6dea6b307c8d78939a79ea" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4LogicalVolume* G4PhotonDetector::GetSensitiveVolume_logicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the logical volume of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area </dd></dl>

</div>
</div>
<a class="anchor" id="a539df81b6de58f6f052406b517c3ad97"></a><!-- doxytag: member="G4PhotonDetector::GetSensitiveVolume_physicalVolume" ref="a539df81b6de58f6f052406b517c3ad97" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VPhysicalVolume* G4PhotonDetector::GetSensitiveVolume_physicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the physical volume of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area </dd></dl>

</div>
</div>
<a class="anchor" id="a6db29885cc9f889c81444cdc783053ad"></a><!-- doxytag: member="G4PhotonDetector::GetSensitiveVolume_solidVolume" ref="a6db29885cc9f889c81444cdc783053ad" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Box* G4PhotonDetector::GetSensitiveVolume_solidVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the solid volume of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area </dd></dl>

</div>
</div>
<a class="anchor" id="aedad1bde573b631e27e07a29f9a18c78"></a><!-- doxytag: member="G4PhotonDetector::GetSensitiveVolumeDimensions" ref="aedad1bde573b631e27e07a29f9a18c78" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector G4PhotonDetector::GetSensitiveVolumeDimensions </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the dimensions of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive volume </dd></dl>

</div>
</div>
<a class="anchor" id="a595f3621cfd1993fbb48794e0251445e"></a><!-- doxytag: member="G4PhotonDetector::GetSensitiveVolumeOpticalSurface" ref="a595f3621cfd1993fbb48794e0251445e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4OpticalSurface* G4PhotonDetector::GetSensitiveVolumeOpticalSurface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the optical surface of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area </dd></dl>

</div>
</div>
<a class="anchor" id="a918b6cb83f1707b12f7d6b8762b9437b"></a><!-- doxytag: member="G4PhotonDetector::GetSensitiveVolumeRelativeSurfaceNormal" ref="a918b6cb83f1707b12f7d6b8762b9437b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector G4PhotonDetector::GetSensitiveVolumeRelativeSurfaceNormal </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the surface normal of the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area relative to the base volume </dd></dl>

</div>
</div>
<a class="anchor" id="a171aeb7ed534e8351191437097bbae36"></a><!-- doxytag: member="G4PhotonDetector::GetSensitiveVolumeRelativeSurfacePosition" ref="a171aeb7ed534e8351191437097bbae36" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector G4PhotonDetector::GetSensitiveVolumeRelativeSurfacePosition </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>'s sensitive area position relative to the base volume </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
